﻿Procedure.s StringIsDigit (in_str.s)
  Static rex_IsNumeric
  If rex_IsNumeric = #Null
    rex_IsNumeric = CreateRegularExpression(#PB_Any,"^[[:digit:]]+$") ; 
  EndIf
  ProcedureReturn Str(MatchRegularExpression(rex_IsNumeric, in_str))
EndProcedure

Procedure.s StringIsFloat(in_str.s)
  Static rex_IsNumericFloat
  If rex_IsNumericFloat = #Null
    rex_IsNumericFloat = CreateRegularExpression(#PB_Any,"^[[:digit:].]+$") ; Any digit 0-9 and float
  EndIf
  ProcedureReturn Str(MatchRegularExpression(rex_IsNumericFloat, in_str))
EndProcedure

Procedure.s StringIsAlpha(in_str.s)
  Static rex_isAlpha
  If rex_isAlpha = #Null
    rex_isAlpha = CreateRegularExpression(#PB_Any,"^[[:alpha:]]+$") ; A-Z and a-z
  EndIf
  ProcedureReturn Str(MatchRegularExpression(rex_isAlpha, in_str))
EndProcedure
